STRTOD(3)

NAME
strtod - convert ASCII string to double

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
double
strtod(const char *nptr, char **endptr);

DESCRIPTION
The strtod() function converts the initial portion of the string pointed to by nptr to double representation.

The expected form of the string is an optional plus (``+'') or minus sign (``-'') followed by a sequence of digits optionally containing a decimal-point character, optionally followed by an exponent. An exponent consists of an ``E'' or ``e'', followed by an optional plus or minus sign, followed by a sequence of digits.

Leading white-space characters in the string (as defined by the isspace(3) function) are skipped.

RETURN VALUES
The strtod() function returns the converted value, if any.

If endptr is not NULL, a pointer to the character after the last character used in the conversion is stored in the location referenced by endptr.

If no conversion is performed, zero is returned and the value of nptr is stored in the location referenced by endptr.

If the correct value would cause overflow, plus or minus HUGE_VAL is returned (according to the sign of the value), and ERANGE is stored in errno. If the correct value would cause underflow, zero is returned and ERANGE is stored in errno.

ERRORS

[ERANGE]
    Overflow or underflow occurred.

SEE ALSO
atof(3), atoi(3), atol(3), strtol(3), strtoul(3)

STANDARDS
The strtod() function conforms to ansiC.